Download it now!
Bug 126944 - Update help installer fonts to match newer versions of Windows
Summary: Update help installer fonts to match newer versions of Windows
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Roman Kuznetsov
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: Installer-Windows
  Show dependency treegraph
 
Reported: 2019-08-15 12:59 UTC by Mike Kaganski
Modified: 2019-09-21 12:05 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2019-08-15 12:59:50 UTC
A follow-up for bug 99891: after the latter was fixed, do the same with help packages installer.

Citing Adolfo Jayme from bug 99891 comment #0:
> The MSI installer still uses Tahoma 8 (Windows 2000/XP) as its UI font.
> Since Vista, the platform’s UI font is Segoe UI 9. The installer should
> match that.
> 
> (At this point we should not be concerned about XP: this font is not
> installed by default in that platform, but any user who at some point
> installed a Windows Live application should have it... But the main point
> is, XP has reached end of life!)
Comment 1 Roman Kuznetsov 2019-09-04 11:38:41 UTC
https://gerrit.libreoffice.org/#/c/77756/
Comment 2 Commit Notification 2019-09-21 12:02:31 UTC
Roman Kuznetsov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a1b2f83e680a0ea957eb040d8291d4b1b33debcf

tdf#126944 - Update help installer fonts to Segoe UI 9 pt

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.